﻿@model IEnumerable<Teste1.MAILBOX>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Postoffice)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Mailbox1)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.RedirectAddress)
        </th>
        
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Postoffice)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Mailbox1)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.RedirectAddress)
        </td>
        
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Detalhes", "Edit","Auth",new { Email=item.Mailbox1, Postoffice = item.Postoffice },null) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID })
        </td>
    </tr>
}

</table>
